#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f1 | sed -e"s/./\\U&/")
#-----------------------------------------------------------------------------
Name		:	adwaita-icon-theme
Version		:	45.0
Release		:	16.2.0.rel%{?dist}

Summary		:	Adwaita icon theme
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	https://github.com/GNOME/adwaita-icon-theme/tags

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	icon-naming-utils
BuildRequires	:	intltool
BuildRequires	:	gtk3+
BuildRequires	:	gdk-pixbuf
BuildRequires	:	pkgconfig(librsvg-2.0)

BuildArch	:	noarch

Requires	:	gtk3+

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
This package contains the Adwaita icon theme used by the MATE desktop.

#-----------------------------------------------------------------------------
%files			
%license COPYING*
%{_datadir}/icons/%{sname}/*
%ghost %{_datadir}/icons/Adwaita/.icon-theme.cache
%{_datadir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------
%post
%{__mkdir_p} %{_datadir}/icons/%{sname}
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/%{sname} > /dev/null 2>&1

%postun
if [ $1 -eq 0 ] ; then
  %{__mkdir_p} %{_datadir}/icons/%{sname}
  %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/%{sname} > /dev/null 2>&1
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--buildtype=release				\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	_bld						\

meson	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

%{__rm} -r						\
	%{buildroot}%{_datadir}/licenses
#-----------------------------------------------------------------------------
%changelog
